package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type CompanyStaffRepository struct {
	*db.Repository[entities.CompanyStaff]
}

// NewCompanyStaffRepository 创建公司员工仓库
func NewCompanyStaffRepository(orm *gorm.DB) *CompanyStaffRepository {
	return &CompanyStaffRepository{
		db.NewRepositoryWith[entities.CompanyStaff](orm, "id"),
	}
}
