package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemUserRepository struct {
	*db.Repository[entities.SystemUser]
}

// NewSystemUserRepository 创建系统用户仓库
func NewSystemUserRepository(orm *gorm.DB) *SystemUserRepository {
	return &SystemUserRepository{
		db.NewRepositoryWith[entities.SystemUser](orm, "id"),
	}
}
