package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/company/request"
	"sorbet/pkg/app"
)

type CompanyStaffController struct {
	app.Controller[entities.CompanyStaff, request.CompanyStaffUpsertRequest]
}

func (c *CompanyStaffController) InitRoutes(r *echo.Group) {
	c.RegisterRoutes("/company/staffs", r)
}
