package bus

import "time"

type Event struct {
	ID              string    // identifier
	TxID            string    // transaction identifier
	Topic           string    // topic name
	Source          string    // source of the event
	OccurredAt      time.Time // creation time in nanoseconds
	Data            any       // actual event data
	stopPropagation func()
}

func (e *Event) StopPropagation() {
	e.stopPropagation()
}
