package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/resource/request"
	"sorbet/pkg/app"
)

type ResourceCategoryController struct {
	app.Controller[entities.Resource, request.ResourceCategoryUpsertRequest]
}

func (ctr *ResourceCategoryController) InitRoutes(r *echo.Group) {
	ctr.RegisterRoutes("/resource/categories", r)
}
